# Generated by Django 4.2 on 2024-09-11 19:21

from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    initial = True

    dependencies = [
        ('django_q', '0014_schedule_cluster'),
    ]

    operations = [
        migrations.CreateModel(
            name='DJBackUpBase',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(max_length=100)),
                ('note', models.TextField(blank=True, null=True)),
                ('unit', models.CharField(choices=[('once', 'Once'), ('minutes', 'Minutes'), ('hours', 'Hours'), ('days', 'Days'), ('weeks', 'Weeks')], max_length=10)),
                ('interval', models.SmallIntegerField()),
                ('last_run', models.DateTimeField(auto_now=True)),
                ('repeats', models.SmallIntegerField(default=0)),
                ('count_run', models.PositiveIntegerField(default=0)),
                ('has_temp', models.BooleanField(default=True)),
                ('has_running_task', models.BooleanField(default=False)),
            ],
            options={
                'ordering': ('-id',),
            },
        ),
        migrations.CreateModel(
            name='DJBackupLog',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('level', models.CharField(max_length=10)),
                ('name', models.CharField(max_length=40)),
                ('exc', models.TextField()),
                ('is_seen', models.BooleanField(default=False)),
                ('created_at', models.DateTimeField(auto_now_add=True)),
            ],
        ),
        migrations.CreateModel(
            name='DJFile',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(max_length=200)),
                ('dir', models.TextField()),
            ],
        ),
        migrations.CreateModel(
            name='DJStorage',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(max_length=20)),
                ('display_name', models.CharField(max_length=20)),
            ],
        ),
        migrations.CreateModel(
            name='DJDataBaseBackUp',
            fields=[
                ('djbackupbase_ptr', models.OneToOneField(auto_created=True, on_delete=django.db.models.deletion.CASCADE, parent_link=True, primary_key=True, serialize=False, to='dj_backup.djbackupbase')),
                ('database', models.CharField(max_length=40)),
                ('database_type', models.CharField(max_length=40)),
                ('additional_args', models.TextField(blank=True, null=True)),
            ],
            bases=('dj_backup.djbackupbase',),
        ),
        migrations.CreateModel(
            name='DJBackUpStorageResult',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('status', models.CharField(choices=[('successful', 'Successful'), ('unsuccessful', 'Unsuccessful')], max_length=12)),
                ('backup_name', models.TextField()),
                ('out', models.TextField(blank=True, null=True)),
                ('temp_location', models.TextField(blank=True, null=True)),
                ('size', models.PositiveIntegerField()),
                ('time_taken', models.FloatField(default=0)),
                ('description', models.TextField(blank=True, null=True)),
                ('created_at', models.DateTimeField(auto_now_add=True)),
                ('storage', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.SET_NULL, to='dj_backup.djstorage')),
            ],
            options={
                'ordering': ('-id',),
            },
        ),
        migrations.AddField(
            model_name='djbackupbase',
            name='results',
            field=models.ManyToManyField(blank=True, to='dj_backup.djbackupstorageresult'),
        ),
        migrations.AddField(
            model_name='djbackupbase',
            name='schedule_task',
            field=models.OneToOneField(blank=True, null=True, on_delete=django.db.models.deletion.SET_NULL, to='django_q.schedule'),
        ),
        migrations.AddField(
            model_name='djbackupbase',
            name='storages',
            field=models.ManyToManyField(blank=True, to='dj_backup.djstorage'),
        ),
        migrations.CreateModel(
            name='DJFileBackUp',
            fields=[
                ('djbackupbase_ptr', models.OneToOneField(auto_created=True, on_delete=django.db.models.deletion.CASCADE, parent_link=True, primary_key=True, serialize=False, to='dj_backup.djbackupbase')),
                ('files', models.ManyToManyField(to='dj_backup.djfile')),
            ],
            bases=('dj_backup.djbackupbase',),
        ),
    ]
